com.h3c.util.persistence.cassandra.entitymgr.column

## Class ColumnCommand<K extends Serializable & Comparable<K>,E>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.ColumnCommand<K,E>

- Type Parameters:
    `K` - type of the column key or name
    `E` - type of the command result
  Direct Known Subclasses:
    ColumnCommandAdapter

      public abstract class ColumnCommand<K extends Serializable & Comparable<K>,E>
      extends Object

  Command that expects a column as input.

  This class is not thread safe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `execute(Column<K,?> column)` Executes the command.
    `protected abstract E` | `getResult(BooleanColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(ByteArrayColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(ByteColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(CustomColumn<K,?> column)` Specific execution of the command.
    `protected abstract E` | `getResult(DateColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(DoubleColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(EnumColumn<K,? extends Enum<?>> column)` Specific execution of the command.
    `protected abstract E` | `getResult(FloatColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(IntegerColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(LongColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(StringColumn<K> column)` Specific execution of the command.
    `protected abstract E` | `getResult(ValuelessColumn<K> column)` Specific execution of the command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnCommand

          public ColumnCommand()

  - ### Method Detail

    - #### execute

          public E execute(Column<K,?> column)

      Executes the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(BooleanColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(ByteColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(ByteArrayColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(DateColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(DoubleColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(FloatColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(IntegerColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(LongColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(StringColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(EnumColumn<K,? extends Enum<?>> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(CustomColumn<K,?> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

    - #### getResult

          protected abstract E getResult(ValuelessColumn<K> column)

      Specific execution of the command.
      Parameters:
        `column` - command input
      Returns:
        the command execution result

Copyright © 2014. All Rights Reserved.